curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
-X PUT \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"email_recipients": ["ops@example.com", "reports@example.com"]
}'
const reportSchedule = await method.reportSchedules.update('rpt_sch_Gqjh8pzeUfzH6', {
email_recipients: ['ops@example.com', 'reports@example.com'],
});
report_schedule = method.report_schedules.update('rpt_sch_Gqjh8pzeUfzH6', {
'email_recipients': ['ops@example.com', 'reports@example.com']
})
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"type": "payments.created.previous_day",
"email_recipients": [
"ops@example.com",
"reports@example.com"
],
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:24:42.118Z"
}
Report Schedules
Update a Report Schedule
PUT
/
report_schedules
/
{schedule_id}
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
-X PUT \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"email_recipients": ["ops@example.com", "reports@example.com"]
}'
const reportSchedule = await method.reportSchedules.update('rpt_sch_Gqjh8pzeUfzH6', {
email_recipients: ['ops@example.com', 'reports@example.com'],
});
report_schedule = method.report_schedules.update('rpt_sch_Gqjh8pzeUfzH6', {
'email_recipients': ['ops@example.com', 'reports@example.com']
})
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"type": "payments.created.previous_day",
"email_recipients": [
"ops@example.com",
"reports@example.com"
],
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:24:42.118Z"
}
Replaces the
email_recipients on an existing Report Schedule. The
type of a Report Schedule cannot be updated.
Path Parameters
Body
Returns
Returns the updated Report Schedule object.curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
-X PUT \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"email_recipients": ["ops@example.com", "reports@example.com"]
}'
const reportSchedule = await method.reportSchedules.update('rpt_sch_Gqjh8pzeUfzH6', {
email_recipients: ['ops@example.com', 'reports@example.com'],
});
report_schedule = method.report_schedules.update('rpt_sch_Gqjh8pzeUfzH6', {
'email_recipients': ['ops@example.com', 'reports@example.com']
})
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"type": "payments.created.previous_day",
"email_recipients": [
"ops@example.com",
"reports@example.com"
],
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:24:42.118Z"
}
⌘I